#!/bin/bash
#
# Adfinis SyGroup AG
# https://git.adfinis-sygroup.ch/ad-sy/adsy-ldap-manipulation.src
#
# This script creates an organizational unit for new partners

### Abfragen
echo "Kurzname des Partners: [a-z]"
read shortname

echo "Kompletter Name des Partners:"
read fullname

### OU für Partner erstellen
udm container/ou create \
  --set name="${shortname}" \
  --set description="${fullname}" \
  --position="ou=partner,dc=adsy-ext,dc=becs,dc=adfinis-sygroup,dc=ch"

cat << EOF

Benutzer mit dem Script create-new-user.sh erstellen.
EOF

# vim: ai ts=2 sw=2 et sts=2 ft=sh
